Skip to main content
GET
/
webhook
/
endpoints
/
{endpointId}
/
subscriptions
List webhook endpoint subscriptions
curl --request GET \
  --url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}/subscriptions \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "eventTypeId": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

endpointId
string<uuid>
required

Unique identifier for the endpoint

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

Webhook subscription list

data
object[]
required
page
Page · object
required

Pagination info